light-mode-image
Learn
API ReferenceS-CWT credential configuration

Create a Semantic CWT credentials configuration

Roles

adminissuer

Analytics Events

CREDENTIAL_COMPACT_SEMANTIC_CREDENTIAL_CONFIGURATION_CREATE_STARTCREDENTIAL_COMPACT_SEMANTIC_CREDENTIAL_CONFIGURATION_CREATE_SUCCESSCREDENTIAL_COMPACT_SEMANTIC_CREDENTIAL_CONFIGURATION_CREATE_FAIL
POST/v2/credentials/compact-semantic/configurations

Creates a new Semantic CWT credentials configuration, a specific set of rules and parameters that are used to create and validate a particular type of verifiable credential. These rules and parameters define how the credential is structured and what data it contains when issued.

Analytic events

  • CREDENTIAL_COMPACT_SEMANTIC_CREDENTIAL_CONFIGURATION_CREATE_START
  • CREDENTIAL_COMPACT_SEMANTIC_CREDENTIAL_CONFIGURATION_CREATE_SUCCESS
  • CREDENTIAL_COMPACT_SEMANTIC_CREDENTIAL_CONFIGURATION_CREATE_FAIL

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

The Credential Configuration payload

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v2/credentials/compact-semantic/configurations" \  -H "Content-Type: application/json" \  -d '{    "claimMappings": {      "property1": {},      "property2": {}    }  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "type": "string",  "claimMappings": {    "property1": {      "mapFrom": "string",      "required": true,      "defaultValue": "string"    },    "property2": {      "mapFrom": "string",      "required": true,      "defaultValue": "string"    }  },  "revocable": true,  "claimSourceId": "78e1b90c-401d-45bb-89c0-938da4d44c60",  "expiresIn": {    "years": 0,    "months": 0,    "weeks": 0,    "days": 0,    "hours": 0,    "minutes": 0,    "seconds": 0  }}

How would you rate this page?